#include <time.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>

char ch;
char sten[]="STEN";
char sax[]="SAX";
char pase[]="PÅSE";
int rand;
char cpu_move[];

int randVar(){
  srand(time(NULL));
  int r = rand()%3;
  return r;
}


int main(){
  //***************
  //TESTING AREA//
  //***************
  /*
  printf("%i\n", randVar());
  usleep(1.5*1000000);
  printf("%i\n", randVar());
  usleep(1.5*1000000);
  printf("%i\n", randVar());
  */
  //**************
  //  verbose(printf("initial random var: %i", randVar()));
  while(1){
  printf("Välkommen! Skriv 'x' för att avsluta\n");
  printf("Sten(0), sax(1) eller påse(2)?: ");
 
  rand = randVar();
  if (rand == 0){
    strcpy(cpu_move[], sten[]);
    printf("%s\n", cpu_move);
  }
  else if {
    strcpy(cpu_move[], sax[]);
    printf("%s\n", cpu_move);
  }
  else if {
    strcpy(cpu_move[], pase[]);
    printf("%s\n", cpu_move);
  }
  while(ch = getchar()){ 
    
    if (ch == '0'){
      printf("Du valde STEN\n");
      
      printf("Datorn valde %s\n", sten); //ersätt här med strängar
    }
    else if (ch=='1'){
      printf("Du valde SAX\n");
    }
    else if (ch=='2'){
      printf("Du valde PÅSE\n");
    }
    else if (ch=='x'){
      return 0;
    }
  }
  } 
}

